Skip to main content
GET
/
api
/
pci
/
tokens
/
{id}
/
security-code
Check security code
curl --request GET \
  --url https://{cluster_id}.on-hellgate.cloud/api/pci/tokens/{id}/security-code \
  --header 'x-api-key: <api-key>'
import requests

url = "https://{cluster_id}.on-hellgate.cloud/api/pci/tokens/{id}/security-code"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://{cluster_id}.on-hellgate.cloud/api/pci/tokens/{id}/security-code', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "security_code_available": true
}
{
"code": 401,
"message": "No valid means of authentication was provided",
"classifier": "UNAUTHORIZED"
}
{
"code": 403,
"message": "Not allowed to access this resource or feature",
"classifier": "FORBIDDEN"
}
{
"code": 404,
"message": "The requested resource was not found.",
"classifier": "NOT_FOUND"
}

Authorizations

x-api-key
string
header
required

Path Parameters

id
string<uuid>
required

The ID of the token to check.

Response

Success response

security_code_available
boolean
required

Indicates whether the security code is available for the token.